[unixODBC-support] OEL5 compilation errors w.r.t qt version

Neha Avasthy neha.avasthy at gmail.com
Thu Nov 17 05:00:27 GMT 2011


Hi ,

This is similar to the issue reported in thread

http://mailman.unixodbc.org/pipermail/unixodbc-dev/2009-September/001600.html

As per the suggestion  I removed the unixODBC-2.2.14/odbcinstQ4/m*.cpp
files.
The point of failure has now moved to the files in unixODBC-2.2.14/odbcinstQ

mCAbout.cpp:15:34: error: private/qucomextra_p.h: No such file or directory
mCAbout.cpp:17:2: error: #error "This file was generated using the moc from
3.3.6. It" mCAbout.cpp:18:2: error: #error "cannot be used with the include
files from this version of Qt."
.
.
.
QVariant*)' member function declared in class 'CAbout' make[1]: ***
[mCAbout.lo] Error 1 make[1]: Leaving directory
`/scratch/navasthy/view_storage/navasthy_odbc_oel5/odbc/public/osds/unixODBC-2.2.14/odbcinstQ'


Are the files in unixODBC-2.2.14/odbcinstQ required to be there. I sit
okay to delete m*cpp files from here as well??

If not the I guess the only solution is to supply QTDIR as follows.


./configure --with-qt-dir=/usr/lib/qt-3.3


Can anybody confirm if this is what is required.


Thanks

-Neha Avasthy
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mailman.unixodbc.org/pipermail/unixodbc-support/attachments/20111117/5f7d561c/attachment.html>


More information about the unixODBC-support mailing list